## IkiWiki-Plugin-syntax-0.20.tar.gz

=== Makefile ===
#
#	Global values
MODULE=IkiWiki::Plugin::syntax
DEBIAN_PACKAGE=ikiwiki-plugin-syntax
DESTDIR ?= /tmp
LIBS=-Ilib -It/lib

#
#	Source modules (all .pm files under the lib directory)
MODULES=$(shell find lib -name "*.pm")
BINARIES=$(wildcard bin/*.pl)
EXAMPLES=$(wildcard examples/*.p[lm])
TESTS=$(wildcard t/*.t)
CHECK_SOURCES=$(MODULES) $(BINARIES) $(EXAMPLES) $(TESTS)

#
#	Test program
DEBUG=
ARGS=

#
#	External tools
PERL ?= perl $(LIBS)
PERL_CHECK ?= $(PERL) -cw
PERL_DEBUG ?= $(PERL) -d:ptkdb
PROVE=$(shell which prove)
INSTALL=$(shell which install)

#
#	Do nothing for default
all:

#
#	Check syntax
.PHONY: check $(CHECK_SOURCES)

check:	$(CHECK_SOURCES)

$(CHECK_SOURCES):
	$(PERL_CHECK) $@

#
#	Test programs
test:	
	$(PROVE) $(LIBS) -v t/

#
#	Debug program
debug:		check $(DEBUG)
	$(PERL_DEBUG) $(DEBUG) $(ARGS)

#
#	Build the perl package
build:		Build

Build:		Build.PL
	$(PERL) Build.PL installdirs=vendor

binary:		build
	$(PERL) Build 

#
#	Install the perl package
install:	test binary
	$(PERL) Build install destdir=$(DESTDIR)

#
#	Debian package
deb:	install
	$(DEBUILD)

=== debian/changelog ===
ikiwiki-plugin-syntax (0.20) unstable; urgency=low

  * New features:
    + Don't need external modules for a minimal installation
    + The third party module can be selected on runtime.
    + New templates:
        - syntax for syntax highlight block text.
        - syntax_info for build a informational table about the external
        module capabilities.

 -- Victor Moral <victor@taquiones.net>  Mon, 31 Mar 2008 19:37:59 +0200

ikiwiki-plugin-syntax (0.14) unstable; urgency=high

  * Remove the last call to the gettext library.
  * Updated the debian/copyright file to the UTF-8 character set and the new
    FSF postal address.

 -- Victor Moral <victor@taquiones.net>  Tue, 29 Jan 2008 12:36:50 +0100

ikiwiki-plugin-syntax (0.13) unstable; urgency=low

  * Add a minimal ikiwiki setup in the test program.
  * Changes in htmllink call: add a hash with the last parameters
  * Minor bugfixes in select syntax language

 -- Victor Moral <victor@taquiones.net>  Fri, 30 Mar 2007 08:53:27 +0200

ikiwiki-plugin-syntax (0.12) unstable; urgency=low

  * Remove the use of gettext functions because the debian testing versions is
    too old
  * Try with some variations of the language parameter for easy use of the
    plugin

 -- Victor Moral <victor@taquiones.net>  Thu, 15 Feb 2007 10:23:35 +0100

ikiwiki-plugin-syntax (0.11) unstable; urgency=low

  * Added a minor support for old sintax
  * Disable the gettext mechanism for use with Debian testing

 -- Victor Moral <victor@taquiones.net>  Mon, 19 Mar 2007 16:26:11 +0100

ikiwiki-plugin-syntax (0.10) unstable; urgency=low

  * Switch to the new syntax highlight engine based in Kate program.

 -- Victor Moral <victor@taquiones.net>  Mon, 29 Jan 2007 16:35:17 +0100

ikiwiki-plugin-syntax (0.9) unstable; urgency=low

  * Add a force_subpage parameter for link build
  * Fix a bug in syntax page link
  * Documented a bug with markdown indented text
  * Documented the syntax directive 

 -- Victor Moral <victor@taquiones.net>  Tue, 14 Nov 2006 12:10:21 +0100

ikiwiki-plugin-syntax (0.8) unstable; urgency=low

  * Minor corrections on file/page dependencies
  * Add a few tests

 -- Victor Moral <victor@taquiones.net>  Tue, 14 Nov 2006 08:54:36 +0100

ikiwiki-plugin-syntax (0.7) unstable; urgency=low

  * Change license to GPL
  * Minor corrections about numering lines
  * The file parameter is now limited to ikiwiki source pages


 -- Victor Moral <victor@taquiones.net>  Tue, 24 Oct 2006 11:56:41 +0200

ikiwiki-plugin-syntax (0.6) unstable; urgency=low

  * Added a line number parameter and a new style 'synLineNumber'

 -- Victor Moral <victor@taquiones.net>  Fri, 20 Oct 2006 11:50:59 +0200

ikiwiki-plugin-syntax (0.5) unstable; urgency=low

  * Convert source code to UTF 8

 -- Victor Moral <victor@taquiones.net>  Thu, 19 Oct 2006 10:24:30 +0200

ikiwiki-plugin-syntax (0.4) unstable; urgency=low

  * First version packaged.

 -- Victor Moral <victor@taquiones.net>  Wed, 18 Oct 2006 12:31:51 +0200

=== debian/control ===
Source: ikiwiki-plugin-syntax
Section: web
Priority: optional
Build-Depends: debhelper (>= 5.0.0), ikiwiki, libmodule-build-perl, libmodule-build-ikiwiki-perl, libexception-class-perl, liburi-perl, libhtml-parser-perl, libhtml-template-perl, libclass-accessor-perl
Build-Depends-Indep: perl (>= 5.8)
Maintainer: Victor Moral <victor@taquiones.net>
Standards-Version: 3.7.3

Package: ikiwiki-plugin-syntax
Architecture: all
Depends: ${perl:Depends}, ikiwiki, libmodule-build-ikiwiki-perl, libexception-class-perl,libclass-accessor-perl
Recommends: libsyntax-highlight-engine-kate-perl | libtext-vimcolor-perl
Description: Add syntax highlighting to ikiwiki
 This package is a ikiwiki plugin that adds syntax highlight capabilities to
 the ikiwiki sites.
 .
 It can use third party modules if they are installed:
 .
 * Syntax::Highlight::Engine::Kate
 * Text::VimColor
 .
 Or use a internal and simple engine for reduce the external dependencies.
 .
 The module register a preprocessor directive named syntax and is slow.
 .
